Enviar convites
curl --request POST \
--url https://api.olie.ai/api/management/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"[email protected]",
"[email protected]"
],
"role_ids": [
6,
1
],
"funnel_access": [
{
"project_funnel_id": 112,
"index_all": false,
"index_assigned": true,
"index_created": false,
"step_change": true
},
{
"project_funnel_id": 42,
"index_all": false,
"index_assigned": false,
"index_created": true,
"step_change": true
},
{
"project_funnel_id": 49,
"index_all": true,
"index_assigned": true,
"index_created": true,
"step_change": true
}
]
}
'import requests
url = "https://api.olie.ai/api/management/invites"
payload = {
"emails": ["[email protected]", "[email protected]"],
"role_ids": [6, 1],
"funnel_access": [
{
"project_funnel_id": 112,
"index_all": False,
"index_assigned": True,
"index_created": False,
"step_change": True
},
{
"project_funnel_id": 42,
"index_all": False,
"index_assigned": False,
"index_created": True,
"step_change": True
},
{
"project_funnel_id": 49,
"index_all": True,
"index_assigned": True,
"index_created": True,
"step_change": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['[email protected]', '[email protected]'],
role_ids: [6, 1],
funnel_access: [
{
project_funnel_id: 112,
index_all: false,
index_assigned: true,
index_created: false,
step_change: true
},
{
project_funnel_id: 42,
index_all: false,
index_assigned: false,
index_created: true,
step_change: true
},
{
project_funnel_id: 49,
index_all: true,
index_assigned: true,
index_created: true,
step_change: true
}
]
})
};
fetch('https://api.olie.ai/api/management/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"invites": [
{
"id": 64,
"frame_id": "019c75de-532c-7047-9563-daf1448ca963",
"email": "[email protected]",
"role_ids": [
7,
1
],
"funnel_access": [
{
"project_funnel_id": 112,
"index_all": false,
"index_assigned": true,
"index_created": false,
"step_change": true
},
{
"project_funnel_id": 42,
"index_all": false,
"index_assigned": false,
"index_created": true,
"step_change": true
},
{
"project_funnel_id": 49,
"index_all": true,
"index_assigned": true,
"index_created": true,
"step_change": true
}
],
"token": "A45DA91B85AC7F67F5BA8F3CD0FC76E1",
"updated_at": "2026-04-29T14:06:40.000000Z",
"created_at": "2026-04-29T14:06:40.000000Z"
},
{
"id": 65,
"frame_id": "019c75de-532c-7047-9563-daf1448ca963",
"email": "[email protected]",
"role_ids": [
7,
1
],
"funnel_access": [
{
"project_funnel_id": 112,
"index_all": false,
"index_assigned": true,
"index_created": false,
"step_change": true
},
{
"project_funnel_id": 42,
"index_all": false,
"index_assigned": false,
"index_created": true,
"step_change": true
},
{
"project_funnel_id": 49,
"index_all": true,
"index_assigned": true,
"index_created": true,
"step_change": true
}
],
"token": "DC40E84BF55B563D11D314D9BBB39FF2",
"updated_at": "2026-04-29T14:06:40.000000Z",
"created_at": "2026-04-29T14:06:40.000000Z"
}
]
}{
"response": false,
"message": "unauthorized",
"error": "Unauthenticated."
}{
"response": false,
"message": "invite_already_sent",
"error": "Invite already sent to this email for this frame",
"email": "[email protected]"
}invites
Enviar convites
POST
/
api
/
management
/
invites
Enviar convites
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload para criar um ou mais convites (um por e-mail), com papéis e permissões de acesso a funis.
Lista de e-mails que receberão convite. Cada e-mail gera um convite dentro da mesma requisição.
Endereço de e-mail do convidado.
Lista de IDs de papéis (roles) que serão atribuídos ao convidado ao aceitar o convite.
ID do papel (role) a ser associado ao convidado.
Lista de permissões por funil que o convidado terá ao aceitar o convite.
Show child attributes
Show child attributes
Was this page helpful?
⌘I